%define name            tetex
%define pkgname         teTeX
%define version         1.0.7
%define pkgversion      1.0
%define texmfversion    gg-1.0.3h
%define texmfsrcversion	gg-1.0.2h
%define release         44mdk

# 1 = have ghostscript >= 6.01
# 0 = don't have ghostscript >= 6.01 (e.g. Mandrake Linux 8.0, 7.2, etc.)
%define haveghost6	1

# 1 = build using xpm icons (e.g. Mandrake Linux 8.0, 7.2, etc.)
# 0 = build using png icons
%define xpmicons	0

Summary:	The TeX text formatting system
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Distributable
Group:		Publishing
Prereq:		/sbin/install-info

Source0:	ftp://ftp.dante.de/pub/tex/systems/unix/teTeX/1.0/distrib/sources/%{pkgname}-src-%{version}.tar.bz2
Source1:	ftp://ftp.dante.de/pub/tex/systems/unix/teTeX/1.0/contrib/ghibo/%{pkgname}-texmf-%{texmfversion}.tar.bz2
Source2:	dvi-to-ps.fpi
Source3:	ftp://ftp.dante.de/pub/tex/systems/unix/teTeX/1.0/contrib/ghibo/%{pkgname}-texmfsrc-%{texmfsrcversion}.tar.bz2
Source4:	icons-xdvi.tar.bz2
Source5:	ftp://ftp.kettering.edu/pub/outgoing/mwicks/dvipdfm/dvipdfm-0.13.2c.tar.bz2
Source10:	tetex.cron
# TrueType support (include CJK)
Source20:	ttf2pk.tar.bz2
Patch0:		%{pkgname}-1.0-varconfig.patch.bz2
Patch2:		%{pkgname}-1.0-italian.patch.bz2
Patch3:		%{pkgname}-1.0-arch.patch.bz2
Patch4:		%{pkgname}-1.0-texmfcnf.patch.bz2
Patch5:		%{pkgname}-1.0-fmtutil.patch.bz2
Patch11:	%{pkgname}-texmf-pdftex.diff.bz2
Patch12:	%{pkgname}-texmf-dvipsgeneric.diff.bz2
Patch13:	%{pkgname}-1.0-tektronix.patch.bz2 
Patch14:	%{pkgname}-1.0-going-i18n.patch.bz2
Patch16:	%{pkgname}-1.0-trie.patch.bz2
Patch17:	%{pkgname}-1.0-dvipdfm.patch.bz2
Patch18:	%{pkgname}-1.0-dvipdfm-txpx.patch.bz2
Patch19:	%{pkgname}-1.0-dvipdfm-egg.patch.bz2
Patch20:	xdvik-dot.patch.bz2
Patch21:	%{pkgname}-1.0-protos.patch.bz2
Patch22:	%{pkgname}-1.0-dvipsk-rahtz.patch.bz2
Patch23:	%{pkgname}-1.0-thumbpdf-perl.patch.bz2
Patch24:	%{pkgname}-1.0-thumbpdf.patch.bz2
# TrueType support
Patch30:	%{pkgname}-1.0-ttf2tfm.patch.bz2
#
Patch31:	%{pkgname}-1.0-texmfcnf-pdflatex209.patch.bz2
Patch32:	%{pkgname}-1.0-ttf2pk.patch.bz2
Patch33:	%{pkgname}-1.0-badscript.patch.bz2
Patch34:	%{pkgname}-1.0-autoconf-gc.patch.bz2
Patch35:	%{pkgname}-1.0-epstopdf.patch.bz2
Patch36:	%{pkgname}-1.0-epstopdf-dct.patch.bz2
Patch37:	%{pkgname}-texmf-basque.patch.bz2
Patch38:	%{pkgname}-1.0-texmfcnf-xmltex.patch.bz2
Patch39:	%{pkgname}-1.0-xdvi-mozilla.patch.bz2
Patch40:	%{pkgname}-1.0-dvipsk-586f.patch.bz2
URL:		http://www.tug.org/teTeX/
Packager:	Giuseppe Ghib <ghibo@mandrakesoft.com>
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Obsoletes:	tetex-texmf-src
Requires:	tmpwatch, dialog, ed, /usr/bin/env, /sbin/install-info, /usr/bin/texhash
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	ed
BuildRequires:	flex
BuildRequires:	freetype-devel
BuildRequires:	gcc
BuildRequires:	gettext-devel
BuildRequires:	libncurses-devel
BuildRequires:	libpng-devel
BuildRequires:	libxpm-devel
BuildRequires:	XFree86-devel

%description
teTeX is an implementation of TeX for Linux or UNIX systems. TeX takes
a text file and a set of formatting commands as input and creates a
typesetter independent .dvi (DeVice Independent) file as output.
Usually, TeX is used in conjunction with a higher level formatting
package like LaTeX or PlainTeX, since TeX by itself is not very
user-friendly.

Install teTeX if you want to use the TeX text formatting system.  If
you are installing teTeX, you will also need to install tetex-afm (a
PostScript(TM) font converter for TeX), tetex-dvilj (for converting
.dvi files to HP PCL format for printing on HP and HP compatible
printers), tetex-dvips (for converting .dvi files to PostScript format
for printing on PostScript printers), tetex-latex (a higher level
formatting package which provides an easier-to-use interface for TeX)
and tetex-xdvi (for previewing .dvi files in X).  Unless you're an
expert at using TeX, you'll also want to install the tetex-doc
package, which includes the documentation for TeX.

%package latex
Summary:	The LaTeX front end for the TeX text formatting system
Group:		Publishing
Requires:	tetex = %{PACKAGE_VERSION}

%description latex
LaTeX is a front end for the TeX text formatting system.  Easier to use
than TeX, LaTeX is essentially a set of TeX macros which provide
convenient, predefined document formats for users.

If you are installing teTeX, so that you can use the TeX text formatting
system, you will also need to install tetex-latex.  In addition, you will
need to install tetex-afm (for converting PostScript font description
files), tetex-dvilj (for converting .dvi files to HP PCL format for
printing on HP and HP compatible printers), tetex-dvips (for converting
.dvi files to PostScript format for printing on PostScript printers) and
tetex-xdvi (for previewing .dvi files in X).  If you're not an expert
at TeX, you'll probably also want to install the tetex-doc package,
which contains documentation for TeX.

%package xdvi
Summary:	An X viewer for DVI files
Group:		Publishing
Requires:	tetex = %{PACKAGE_VERSION}

%description xdvi
Xdvi allows you to preview the TeX text formatting system's output .dvi
files on an X Window System.

If you are installing teTeX, so that you can use the TeX text formatting    
system, you will also need to install tetex-xdvi.  In addition, you will
need to install tetex-afm (a PostScript font converter for TeX),
tetex-dvilj (for converting .dvi files to HP PCL format for printing on
HP and HP compatible printers), tetex-dvips (for converting .dvi files to
PostScript format for printing on PostScript printers), and tetex-latex
(a higher level formatting package which provides an easier-to-use
interface for TeX).  If you're not a TeX expert, you'll probably also
want to install the tetex-doc package, which contains documentation for
the TeX text formatting system.

%package dvips
Summary:	A DVI to PostScript converter for the TeX text formatting system
Group:		Publishing
Requires:	tetex = %{PACKAGE_VERSION}

%description dvips
Dvips converts .dvi files produced by the TeX text formatting system
(or by another processor like GFtoDVI) to PostScript(TM) format.
Normally the PostScript file is sent directly to your printer.

If you are installing teTeX, so that you can use the TeX text formatting
system, you will also need to install tetex-dvips.  In addition, you will
need to install tetex-afm (for converting PostScript font description
files), tetex-dvilj (for converting .dvi files to HP PCL format for
printing on HP and HP compatible printers), tetex-latex (a higher level
formatting package which provides an easier-to-use interface for TeX) and
tetex-xdvi (for previewing .dvi files in X).  If you're installing TeX
and you're not an expert at it, you'll also want to install the tetex-doc
package, which contains documentation for the TeX system.

%package dvilj
Summary:	A DVI to HP PCL (Printer Control Language) converter
Group:		Publishing
Requires:	tetex = %{PACKAGE_VERSION}

%description dvilj
Dvilj and dvilj's siblings (included in this package) will convert TeX
text formatting system output .dvi files to HP PCL (HP Printer Control
Language) commands.  Using dvilj, you can print TeX files to HP
LaserJet+ and fully compatible printers.  With dvilj2p, you can print
to HP LaserJet IIP and fully compatible printers. And with dvilj4, you
can print to HP LaserJet4 and fully compatible printers.

If you are installing teTeX, so that you can use the TeX text formatting
system, you will also need to install tetex-dvilj.  In addition, you will
need to install tetex-afm (for converting PostScript font description
files), tetex-dvips (for converting .dvi files to PostScript format for
printing on PostScript printers), tetex-latex (a higher level formatting
package which provides an easier-to-use interface for TeX) and tetex-xdvi
(for previewing .dvi files in X).  If you're installing TeX and you're
not a TeX expert, you'll also want to install the tetex-doc package,
which contains documentation for TeX.

%package afm
Summary:	A converter for PostScript(TM) font metric files, for use with TeX
Group:		Publishing
Requires:	tetex = %{PACKAGE_VERSION}

%description afm
tetex-afm provides afm2tfm, a converter for PostScript font metric files. 
PostScript fonts are accompanied by .afm font metric files which describe
the characteristics of each font.  To use PostScript fonts with TeX, TeX
needs .tfm files that contain similar information.  Afm2tfm will convert
.afm files to .tfm files.  

If you are installing tetex in order to use the TeX text formatting system,
you will need to install tetex-afm.  You will also need to install
tetex-dvilj (for converting .dvi files to HP PCL format for printing on HP
and HP compatible printers), tetex-dvips (for converting .dvi files to
PostScript format for printing on PostScript printers), tetex-latex (a
higher level formatting package which provides an easier-to-use interface
for TeX) and tetex-xdvi (for previewing .dvi files in X).  Unless you're
an expert at using TeX, you'll probably also want to install the tetex-doc
package, which includes documentation for TeX.

%package doc
Summary:	The documentation files for the TeX text formatting system
Group:		Publishing

%description doc
The tetex-doc package contains documentation for the TeX text
formatting system.

If you want to use TeX and you're not an expert at it, you should
install the tetex-doc package.  You'll also need to install the tetex
package, tetex-afm (a PostScript font converter for TeX), tetex-dvilj
(for converting .dvi files to HP PCL format for printing on HP and HP
compatible printers), tetex-dvips (for converting .dvi files to
PostScript format for printing on PostScript printers), tetex-latex
(a higher level formatting package which provides an easier-to-use
interface for TeX) and tetex-xdvi (for previewing .dvi files).

%package dvipdfm
Summary:	A DVI to PDF converter
Group:		Publishing
Requires:	tetex = %{PACKAGE_VERSION}, tetex-dvips = %{PACKAGE_VERSION}

%description dvipdfm
dvidpfm is a DVI to PDF translator for use with TeX.

%prep
%setup -q -n %{pkgname}-1.0 -a 5 -a 20
%patch0 -p1 -b .rhconfig
%patch3 -p1 -b .arm
%patch4 -p1 -b .texmfcnf
%patch5 -p1 -b .fmtutil

mkdir -p texmf
bzip2 -cd %{SOURCE1} | tar xf - -C texmf
%patch11 -p1
%patch2 -p1
%patch12 -p1
%patch13 -p1
#
# i18n
%patch14 -p1
#
# trie
%patch16 -p1
#
# dvipdfm
%patch17 -p1
#
# dvipdfm tx/px
%patch18 -p1
%patch19 -p1
#
# RH patches (xdvik-dot protos)
%patch20 -p1
%patch21 -p1
#
# dvipsk 5.86e (changes from S. Rahtz's latest dvipsk)
%patch22 -p1
#
# thumbpdf and perl bugfix
%patch23 -p1
#
# new thumbpdf 2.10 (only for ghostscript > 6.01)
%if %haveghost6
%patch24 -p1
%endif

# TrueType support
%patch30 -p0

%patch31 -p1
%patch32 -p1 -b .ttf2pk
%patch33 -p1 -b .badscript
%patch34 -p1 -b .autocnf
%patch35 -p1
%if %haveghost6
%patch36 -p1
%endif

# Basque hypenation
%patch37 -p1

# xmltex
%patch38 -p1 -b .xmltex

# mozilla instead of netscape
%patch39 -p1 

# dvips 5.86f (better supporting Subr charstring)
%patch40 -p1

(cd ttf2pk; autoconf)

mv -f dvipdfm texk/
rm -f texk/odvipsk/{mtest.ps,newprotos.h}
ln -s ../dvipsk/writet1.c texk/odvipsk/writet1.c
ln -s ../dvipsk/ptexmac.h texk/odvipsk/ptexmac.h


%build
sh ./reautoconf
for file in config.sub config.guess ; do
  for place in `find . -type f -name $file` ; do
     cp -f %{_datadir}/libtool/$file $place
  done
done
CFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=%{_prefix} \
	--with-system-ncurses \
	--with-system-zlib \
	--with-system-pnglib \
	--disable-multiplatform \
	--without-dialog \
	--without-texinfo \
	--datadir=%{_datadir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	%{_target_cpu}-mandrake-linux

# Don't use the 'make' macro, it doesn't work, even on comments.
make

# ttf2pk TrueType support (CJK extensions)
#( cd ttf2pk; make -f Makefile.cjk )
(cd ttf2pk;
	mkdir -p extras/{include,lib}
	(cd extras/include; ln -sf ../../../texk/kpathsea .)
	(cd extras/lib; ln -sf ../../../texk/kpathsea/STATIC/libkpathsea.a .)
	./configure --with-kpathsea-dir=./extras
	make
)

# update psfonts.map
(cd texmf/dvips/config
./updmap)

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/texmf \
	$RPM_BUILD_ROOT/var/lib/texmf
tar cf - texmf | tar xf - -C $RPM_BUILD_ROOT%{_datadir}

make install prefix=$RPM_BUILD_ROOT%{_prefix} \
	texmf=$RPM_BUILD_ROOT%{_datadir}/texmf \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir}

(cd dvipdfm
make install prefix=$RPM_BUILD_ROOT%{_prefix} \
	datadir=$RPM_BUILD_ROOT%{_prefix}/share
)

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
bzip2 -9f $RPM_BUILD_ROOT%{_infodir}/*info* || true

# these are links

# install the new magic print filter for converting dvi to ps
mkdir -p $RPM_BUILD_ROOT%{_libdir}/rhs/rhs-printfilters
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_libdir}/rhs/rhs-printfilters

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily
install -m 755 %{SOURCE10} $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily

# move the man pages in the correct location
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mv $RPM_BUILD_ROOT%{_mandir}/*.1* $RPM_BUILD_ROOT%{_mandir}/man1

# Add TrueType Support ttf2pk (CJK extensions)
cp -f ttf2pk/ttf2pk ttf2pk/ttf2tfm $RPM_BUILD_ROOT/usr/bin
cp -f ttf2pk/ttf2pk.1 ttf2pk/ttf2tfm.1 $RPM_BUILD_ROOT/usr/share/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/share/texmf/ttf2pk
cp -f ttf2pk/data/* $RPM_BUILD_ROOT/usr/share/texmf/ttf2pk

# call the spec-helper before creating the file list
# (thanks to Pixel).
s=/usr/share/spec-helper/spec-helper ; [ -x $s ] && $s

### Files list
find $RPM_BUILD_ROOT -type f -or -type l | \
	sed -e "s|$RPM_BUILD_ROOT||g" | \
	grep -v "^/etc" | grep -v ".orig$" | \
	sed -e "s|.*\.cnf$|%config(noreplace) &|" \
            -e "s|%{_datadir}/texmf/dvips/config/config\.ps$|%config(noreplace) &|" \
	    -e "s|%{_datadir}/texmf/dvips/config/config\.\(generic\|pdf\|www\)$|%config &|" \
	    -e "s|%{_datadir}/texmf/dvipdfm/config/config|%config(noreplace) &|" \
	    -e "s|%{_datadir}/texmf/xdvi/XDvi|%config &|" \
	    -e "s|%{_datadir}/texmf/tex/generic/config/.*|%config &|" \
	    -e "s|%{_datadir}/texmf/tex/dvips/config/updmap$|%config(noreplace) &|" \
	    -e "s|^%{_mandir}\(.*\)|%attr(644,root,root) \%{_mandir}\1|" > filelist.full

find $RPM_BUILD_ROOT%{_datadir}/texmf -type d | \
	sed "s|^$RPM_BUILD_ROOT|\%attr(-,root,root) \%dir |" >> filelist.full

# subpackages
grep -v "/doc/" filelist.full | grep latex 	> filelist.latex

grep -v "/doc/" filelist.full | grep xdvi | \
	grep -v "%{_datadir}/texmf/tex"		> filelist.xdvi
echo "%{_bindir}/mfw" >> filelist.xdvi

grep -v "/doc/" filelist.full | grep dvips | \
	grep -v "%{_datadir}/texmf/tex" 	> filelist.dvips
echo "%{_bindir}/dvired" >> filelist.dvips
echo "%{_bindir}/dvi2fax" >> filelist.dvips
echo "%{_libdir}/rhs/rhs-printfilters/dvi-to-ps.fpi" >> filelist.dvips

grep -v "/doc/" filelist.full | grep dvipdfm | \
	grep -v "%{_datadir}/texmf/tex"		> filelist.dvipdfm
echo "%{_bindir}/dvipdft" >> filelist.dvipdfm
echo "%{_bindir}/ebb" >> filelist.dvipdfm

grep -v "/doc/" filelist.full | grep dvilj | \
	grep -v "%{_datadir}/texmf/tex/latex" 	> filelist.dvilj

grep -v "/doc/" filelist.full | grep afm 	> filelist.afm

grep "/doc/" filelist.full 			> filelist.doc

%ifarch ppc
# Fix buggy filelist
perl -pi -e "s#/usr/lib/rhs/rhs-printfilters/dvi-to-ps.fpi##" filelist.full
%endif

# now files listed only once, i.e. not included in any subpackage, will
# go in the main package
cat filelist.full \
    filelist.latex \
    filelist.xdvi \
    filelist.dvips \
    filelist.dvilj \
    filelist.afm \
    filelist.doc \
    filelist.dvipdfm | \
    sort | uniq -u > filelist.main

# xdvi menu things
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/tetex-xdvi <<EOF
?package(tetex-xdvi): command="%{_bindir}/xdvi" needs="X11" \
%if %xpmicons
icon="dvi.xpm" section="Applications/Publishing" title="XDvi" \
%else
icon="dvi.png" section="Applications/Publishing" title="XDvi" \
%endif
longtitle="DVI files viewer"
EOF


# mdk icons
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xjvf %{SOURCE4} -C $RPM_BUILD_ROOT%{_iconsdir}

%if %xpmicons
rm -f $RPM_BUILD_ROOT%{_iconsdir}/*.png \
	$RPM_BUILD_ROOT%{_miconsdir}/*.png \
	$RPM_BUILD_ROOT%{_liconsdir}/*.png
%else
rm -f $RPM_BUILD_ROOT%{_iconsdir}/*.xpm \
	$RPM_BUILD_ROOT%{_miconsdir}/*.xpm \
	$RPM_BUILD_ROOT%{_liconsdir}/*.xpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT
rm -f filelist.*

# make sure ls-R used by teTeX is updated after an install
%post
/sbin/install-info %{_infodir}/web2c.info.bz2 %{_infodir}/dir
/sbin/install-info %{_infodir}/kpathsea.info.bz2 %{_infodir}/dir
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%post latex
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
/sbin/install-info %{_infodir}/latex.info.bz2 %{_infodir}/dir
exit 0

%post xdvi
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
%{update_menus}
exit 0

%post dvips
/sbin/install-info %{_infodir}/dvips.info.bz2 %{_infodir}/dir
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%post dvilj
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%post afm
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%post dvipdfm
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%postun
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%postun latex
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%postun xdvi
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
if [ "$1" = "0" ]; then
%{clean_menus}
fi
exit 0

%postun dvips
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%postun dvilj
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%postun afm
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%postun dvipdfm
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%preun
if [ "$1" = 0 ]; then
	/sbin/install-info --delete %{_infodir}/kpathsea.info.bz2 %{_infodir}/dir
	/sbin/install-info --delete %{_infodir}/web2c.info.bz2 %{_infodir}/dir
fi

%preun dvips
if [ "$1" = 0 ]; then
	/sbin/install-info --delete %{_infodir}/dvips.info.bz2 %{_infodir}/dir
fi

%preun latex
if [ "$1" = 0 ]; then
	/sbin/install-info --delete %{_infodir}/latex.info.bz2 %{_infodir}/dir
fi

%files -f filelist.main
%defattr(-,root,root)
%attr(1777,root,root) %dir /var/lib/texmf
%config %{_sysconfdir}/cron.daily/tetex.cron

%files -f filelist.latex latex
%defattr(-,root,root)

%files -f filelist.xdvi xdvi
%defattr(-,root,root)
%{_menudir}/tetex-xdvi
%{_iconsdir}/*

%files -f filelist.dvips dvips
%defattr(-,root,root)
%files -f filelist.dvilj dvilj
%defattr(-,root,root)

%files -f filelist.afm afm
%defattr(-,root,root)

%files -f filelist.doc doc
%defattr(-,root,root)

%files -f filelist.dvipdfm dvipdfm
%defattr(-,root,root)

%changelog
* Tue Mar 12 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-44mdk
- added a missed %%endif in .spec file.

* Mon Mar 05 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-43mdk
- removed .xpm icons from tetex-xdvi.

* Sat Mar 02 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-42mdk
- dvipsk to 5.86f so for better supporting charstring Subr.
- fixed a bug in txpxfonts Patch (removed updmap patch, fixed
  utmr8a.pfb.pfb -> utmr8a.pfb).
- updated texmf-gg to version 1.0.3h:
	- modes.mf 3.4 -> 3.5.
	- use txr4.map instead of txr.map in updmap.
	- amsrefs 1.18 -> 1.23.
	- pdftex.def 0.03h -> 0.03i.
	- hyperref 6.71e -> 6.72e (fixes bug with harvard).
	- added web.sty 2.0 (LPPL).

* Tue Feb 26 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-41mdk
- fixed resource for XDvi, replacing netscape with mozilla.
- updated texmf-gg to version 1.0.3g:
	- updated a few .map files in fontname (special, adobe, variant,
	  supplier, typeface, bitstrea).
	- draftcopy 2.12 -> 2.16.
        - amsrefs 1.15 -> 1.18.
	- pdfcwebmac.tex 3.43 -> cwebmac.tex 3.64
- mark texmf/tex/generic/config/* and texmf/dvips/config/updmap as %%config.

* Wed Feb 20 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0.7-40mdk
- BuildRequires (added gcc -> != obvious, removed spec-helper ->
  = obvious).

* Tue Feb 19 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-39mdk
- fixed -38mdk %%changelog with real changelog-er.
- removed BuildRequires: gcc (obvious)
- put back spec-helper & libxpm-devel in BuildRequires.
- removed major dependency from libs in BuildRequires when not needed.

* Tue Feb 19 2002 Stefan Siegel <siegel@mandrakesoft.com> 1.0.7-38mdk
- unrolled & sorted BuildRequires.
- added autoconf, automake, gcc to BuildRequires.
- specified libmajor version in BuildRequires.

* Sun Feb 17 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-37mdk
- update texmf-gg to version 1.0.3f:
	- updated marvosym (and relative fonts) to version 2.0 (better
	  euro symbols).
	- added eurosym.sty v1.1 (with Debian license file).

* Sat Feb 16 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-36mdk
- added support for basque hyphenation.
- modified epstopdf to avoid downsampled jpeg compression in
  converted EPS bitmapped images (taken from Siep Kroonenberg suggestion).
- added support for xmltex (Patch38).
- png icons.
- update texmf-gg to version 1.0.3e:
	- added basque hyphenation file.
        - added pdfscreen.sty 1.2.
        - added truncate.sty 3.6.
	- added pdfslide.sty 0.50.
        - updated rotfloat.sty from release 1.0 to version 1.1,
        - updated cite.sty from release 3.8 to 3.9.
        - updated drftcite.sty from release 3.5 to 3.7.
	- updated overcite.sty from release 3.8 to 3.9.
	- updated crop.sty from release 1.3a to 1.6.
	- added amsrefs 1.15 clases for amslatex.
	- tex/plain/amsfonts/amssym.def: upgraded to release 2.2b.
	- tex/plain/amsfonts/cyracc.def: upgraded to release 2.2b.
	- tex/latex/amsfonts/*: upgraded to release 2.2d

* Fri Jan 11 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-35mdk
- updated epstopdf to version 2.7.
- modified epstopdf to force PDF 1.2 for pdftex/pdflatex.

* Sat Dec 29 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-34mdk
- added Patch33 to build tempfile filenames using mktemp (security
  fix from Vincent Danen <vdanen@mandrakesoft.com>
  and originally from Tim Waugh <twaugh@redhat.com>).
- added Patch34 to have reautoconf working with Guillaume's autoconf
  macro.
- updated texmf-gg to version 1.0.3d:
	- updated LaTeX to release 2001/06/01.
	- updated float package to release 1.3d.
	- updated tools package to release of 2001/09/04.
	- updated graphics package to release of 2001/07/07.
	- updated psnfss to version 8.2.
	- added mathpazo fonts 1.001 (for psnfss).
	- update crop.sty from release 1.3a to 1.6.
        - babel 3.7h: new bulgarian.ldf, frenchb.ldf (version 1.5g),
	  frenchb.cfg, icelandic.ldf, latin.ldf (version 2.0d).
        - updated cyrillic package to release June 2001.

* Thu Oct 11 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.7-33mdk
- BuildRequires: gettext-devel xpm-devel.
- Removed redundant BuildRequires.

* Tue Oct  9 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.7-32mdk
- Rebuild against latest libpng.
- Add BuildRequires: freetype-devel (ttf2pk).
- Patch32: fix ttf2pk build from nihil (take local kpathsea includes and lib).

* Mon Sep 17 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-31mdk
- updated teTeX-1.0-texmf-gg to version 1.0.3c. Changes includes:
  - added missed hebtech.cls
  - fixed babel he* files from babel 3.7h.

* Sat Sep 01 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-30mdk
- update teTeX-1.0-texmf-gg to version 1.0.3b. Changes includes:
  - texmf/tex/doc/help/Catalogue: updated to version 20010901.
  - texmf/tex/latex/misc/changebar.sty: updated version 3.3i to 3.4.
  - texmf/tex/latex/graphics/dvipdfm.def: updated from dvipdfm-0.13.2c archive.
  - texmf/tex/latex/misc/fancybox.sty: updated from version 1.2 to version 1.3
  - texmf/tex/latex/calrsfs: added. 
  - texmf/tex/latex/oberdiek: updated
  - texmf/tex/latex/booklet: added version 0.5
  - texmf/tex/latex/misc/float.sty: updated from version 1.2d to version 1.3a
  - texmf/tex/latex/misc/verse.sty: added version 1.1
  - texmf/tex/latex/misc/SIunits.sty moved to
    texmf/tex/latex/SIunits/ and updated from version 0.06 to version 1.25
  - texmf/tex/latex/misc/ccaption.sty: added version 3.0a
  - texmf/tex/latex/bitfield/bitfield.sty: added version 1.19
  - texmf/tex/latex/dashbox/dashbox.sty: added version 1.13            
  - texmf/tex/latex/misc/picins.sty: removed trailing ^Z
- fixed changelog (metric files for agaramon, bembo, etc., were not
  included).
- added Patch31.

* Tue Jul 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-29mdk
- package rebuilt.

* Tue Jul 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-28mdk
- fixed _iconsdir in %file section.

* Sun Jul 22 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-27mdk
- update thumbpdf to version 2.10.
- updated teTeX-1.0-texmf-gg to version 1.0.3a. Changes includes:
  - texmf/tex/latex/seminar/sem-a4.sty changed \def\paperwidth... to
    \setlength{\paperwidth}... (report by Chris Fox <foxcj@dcs.kcl.ac.uk>).
  - texmf/tex/latex/misc/url.sty upgraded from 1.4 to version 1.5.
  - texmf/tex/latex/misc/wrapfig.sty upgraded from version 3.2 to version 3.3.
  - texmf/tex/latex/footmisc.sty upgraded from 3.3j2 to 4.0a.
  - added texmf/tex/fonts/{sources,tfm}/public/mfextra fonts for
    bold typewriter.
  - updated babel from 3.7g to 3.7h.
  - added texmf/tex/latex/srcltx.
  - texmf/fonts/source/public/misc/black.mf: replaced blackcx to blacklj to
    have it METAFONTbook compliant (report by Adam Buchbinder
    <gdrago23@yahoo.com>).
  - texmf/fonts/source/public/misc/gray.mf: replaced graycx to graylj to
    have it METAFONTbook compliant (report by Adam Buchbinder
    <gdrago23@yahoo.com>).
  - added epsf.tex to texmf/tex/texinfo.
  - texmf/tex/latex/hyperref updated from version 6.71a to vesion 6.71e.

* Sun Jul 22 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-26mdk
- patch to thumbpdf for perl 5.6 (reported by Chris Fox <foxcj@dcs.kcl.ac.uk>).

* Sat Jul 21 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-25mdk
- updated dvipsk from 5.86 to 5.86e (with S. Rahtz changes).

* Thu Jul 19 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-24mdk
- updated dvipdfm to version 0.13.2c.

* Sun Jun 03 2001 Jesse Kuang <kjx@mandrakesoft.com> 1.0.7-23mdk
- remove mktexnam patches.

* Sat Jun 02 2001 Jesse Kuang <kjx@mandrakesoft.com> 1.0.7-22mdk
- merge TrueType support package ttf2pk.

* Sat Mar 24 2001 Francis Galiegue <fg@mandrakesoft.com> 1.0.7-21mdk
- Fix ia64 build.
- Chicken and egg pb was on all archs, not just Alpha.

* Mon Mar 19 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-20mdk
- fixed 'egg & ckicken' problem for building on Alpha.
- fixed path for 'ghibo' CTAN archives.

* Sun Mar 11 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-19mdk
- updated 'gg' archives.
- added PSNFSS 8.1.

* Sat Mar 10 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-18mdk
- use LaTeX 01/06/2000 sources and new 'gg' archives.
- merged RH xdvik-dot and protos patches.

* Fri Mar 09 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-17mdk
- added new release of texnansi.enc and texnansx.enc.

* Thu Feb 22 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-16mdk
- added patch for better supporting of px and tx fonts with dvipdfm,
  dvips and pdftex.

* Mon Feb 19 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-15mdk
- added dvipdfm.
- added pxfonts (Palatino + Math).
- added txfonts (Times + Math).

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0.7-14mdk
- Rebuild with gcc-2.96 & glibc-2.2.

* Sun Oct 22 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0.7-13mdk
- BuildRequires: ed.

* Tue Oct 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0.7-12mdk
- Allow to build (aka fix filelist).

* Tue Oct 03 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.7-11mdk
- add icons to xdvi menu entry.

* Mon Sep 25 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-10mdk
- included some of changes to SPEC files made by Alexander Skwar <ASkware@DigitalProjectcs.com>
  (more macros, fixed location of some manpage).

* Mon Aug 28 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-9mdk
- changed mandir to %%{_mandir}, and infodir to %%{_infodir}.
- xdvi menu name coherent.

* Fri Aug 25 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-8mdk
- added %noreplace to *.cnf (Preston Brown <pbrown@redhat.com>)
- added %noreplace to config.ps file.
- removed bzip2 of man pages (now handled by spec-helper).
- removed perl script to handle bzip2 files for filelists (now handled
  by spec-helper).
- increased trie size for allowing more hyphenation patterns (i18n).

* Fri Jun 02 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-7mdk
- updated the LaTeX hyperref package to version 6.70f for getting jadetex
  working.
- added support for spanish, portuguese and sweden pattern hyphenation in the
  default LaTeX format files (hope trie values are enough...).

* Fri May 05 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-6mdk
- fixed man pages permission.

* Sat Apr 29 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-5mdk
- changed arrays texmf.cnf the array value for jadetex, pdfjadetex, according to
  the Christoph, Rahtz, Pepping's "Installing JadeTeX" document.

* Sat Apr 01 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-4mdk
- change group (now "Publishing") according to the new scheme.
- removed wmconfig and .desktop entries for xdvi, and added the new menu
  entry.

* Fri Mar 03 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-3mdk
- updated teTeX-texmf to version 1.0.2.

* Fri Feb 11 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>
- updated to version 1.0.7.
- merged k6 and arm patches into teTeX-1.0-arch.patch
- sligtly increased internal array main_memory, so that latex
  doesn't have problems with big macro packages such as pstricks
  or Xy-TeX.
- integrate teTeX-1.0-tektrokix.patch (fixes a typo) from Jeff
  Johnson <jbj@redhat.com>.

* Wed Dec 08 1999 - David BAUDENS <baudens@mandrakesoft.com>
- AMD K6 is not an i686 processor (another)
- Replace $RPM_ARCH by %%{_target_cpu}

* Thu Nov 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- mark /usr/share/texmf/dvips/config.ps as %config
  (Jeff Johnson <jbj@redhat.com>, #4842)
- mark also config.pdf, config.www and config.generic as %config.
- added BuildPreReq.

* Thu Aug 26 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- fine tuning subpackage package list.
- added teTeX dependence to package xdvi (it cannot works without fonts).

* Wed Aug 25 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- cleaned %clean. Now spec file support buildroot.
- added support for 'resolution' in dvi-to-ps.fpi as well as
  the config.generic file.
- fixed a problem in manpage links (reported by Dusan
  Gabrijelcic <dusan@kamra.e5.ijs.si>).
- moved mfw to tetex-xdvi to have main tetex package rpm indepedendent from 
  X11 libraries (Jeff Johnson <jbj@redhat.com> in rawhide).
- added PAPERSIZE option to dvi-to-ps.fpi (Jeff Jonhson <jfj@redhat.com>
  in rawhide).

* Wed Aug 04 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- fixed VARTEXFONTS path in config file.

* Wed Jul 14 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to 1.0.6.
- used src-1.0.6 archive and thus removed some patches.

* Sat Jun 26 1999 Giuseppe Ghib <ghibo@caesar.polito.it>
- mandrake adaptions.
- speed up TEXMFCNF path.

* Fri Jun 25 1999 Giuseppe Ghib <ghibo@caesar.polito.it>
- fixed new bugs reported by Thomas Esser (included
  patch 1.0.5-1.0.6-pre).
- added amstex, bamstex and bplain to the list of format files to build.

* Wed Jun 23 1999 Giuseppe Ghib <ghibo@caesar.polito.it>
- fixed and removed unneeded things in teTeX-1.0-texmfcnf.patch,
  according to Thomas Esser suggestions.

* Sun Jun 20 1999 Giuseppe Ghib <ghibo@caesar.polito.it>
- upgraded to teTeX 1.0.5.
- merged .spec file with Jeff Johnson's 1.0.1 .spec file from rawhide. 

* Sun Jun 13 1999 Giuseppe Ghib <ghibo@caesar.polito.it>
- upgraded to teTeX 1.0 final.
- removed texmf.cnf external config file, and provided
  as patch.
- removed ``texconfig init'' (now it's included into 'make install').
- moved texmf unpacking to buildroot before 'make install'.
- added italian hyphenation.

* Thu Jun 03 1999 Kayvan A. Sylvan <kayvan@sylvan.com>
- upgraded snapshot
- Fixed PATH setting for ``texconfig init''. As it was, you could
  not build a working teTeX on a machine with teTeX installed.

* Thu Apr 01 1999 Cristian Gafton <gafton@redhat.com>
- upgraded snapshot

* Tue Mar 23 1999 Erik Troan <ewt@redhat.com>
- set limits for jadetex

* Tue Mar 23 1999 Cristian Gafton <gafton@redhat.com>
- I think I have got the buildroot problems right this time
- auto rebuild in the new build environment (release 15)

* Fri Mar 19 1999 Cristian Gafton <gafton@redhat.com>
- fix buildroot problems

* Mon Mar 15 1999 Michael Maher <mike@redhat.com>
- fixed BUG: 978

* Thu Mar 11 1999 Cristian Gafton <gafton@redhat.com>
- slight changes in the packaging (unpack texmf directly into the buildroot
  and build it there)
- added texmfsrc source tarball to comply with the license

* Mon Mar 07 1999 Michael Maher <mike@redhat.com>
- updated package

* Mon Jan 11 1999 Cristian Gafton <gafton@redhat.com>
- add patch to make it compile on the arm (RmS)
- build for glibc 2.1
- use tar hack instead of the cp -a to overcome cp's brokeness re: symlinks
  handling

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- enable italian formatting

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- requires ed
- Fixed obsoletes line
- credted the doc subpackage
- fully buildroot
- require dialog in the main package
- add support for wmconfig in for the xdvi package

* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- upgrade to 0.9
- texmf-src package is gone
- use /var/lib/texmf instead of /var/tmp/texmf

* Sat Aug 22 1998 Jeff Johnson <jbj@redhat.com>
- make sub-packages depend on teTeX (problem #214)

* Fri Aug 21 1998 Jeff Johnson <jbj@redhat.com>
- eliminate environment when running texhash (problem #849)

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Feb  5 1998 Otto Hammersmith <otto@redhat.com>
- added install-info support (dvips, fontname and kpathsea)
- combined the two changelogs in the spec file.

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>
- Fixed dvi-to-ps.fpi to create temp files more safely.

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr  8 1997 Michael Fulbright <msf@redhat.com>
- Removed afmdoit from file list (mistakenly added in release 3 rpm)

* Mon Mar 24 1997 Michael Fulbright <msf@redhat.com>
- Upgraded to tetex-lib to 0.4pl8 and fixed cron tmpwatch entry to not
  delete /var/lib/texmf/fonts and /var/lib/texmf/texfonts

* Fri Mar 07 1997 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.4pl7.

* Mon Feb 17 1997 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.4pl6, and fixed file permissions on /var/lib/texmf/texfonts
  so normal users could create fonts on demand.
